<?php
$tdatamo_master = array();
$tdatamo_master[".searchableFields"] = array();
$tdatamo_master[".ShortName"] = "mo_master";
$tdatamo_master[".OwnerID"] = "";
$tdatamo_master[".OriginalTable"] = "mo_master";


$tdatamo_master[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatamo_master[".originalPagesByType"] = $tdatamo_master[".pagesByType"];
$tdatamo_master[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatamo_master[".originalPages"] = $tdatamo_master[".pages"];
$tdatamo_master[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatamo_master[".originalDefaultPages"] = $tdatamo_master[".defaultPages"];

//	field labels
$fieldLabelsmo_master = array();
$fieldToolTipsmo_master = array();
$pageTitlesmo_master = array();
$placeHoldersmo_master = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsmo_master["English"] = array();
	$fieldToolTipsmo_master["English"] = array();
	$placeHoldersmo_master["English"] = array();
	$pageTitlesmo_master["English"] = array();
	$fieldLabelsmo_master["English"]["id"] = "Id";
	$fieldToolTipsmo_master["English"]["id"] = "";
	$placeHoldersmo_master["English"]["id"] = "";
	$fieldLabelsmo_master["English"]["mrn_date"] = "Date";
	$fieldToolTipsmo_master["English"]["mrn_date"] = "";
	$placeHoldersmo_master["English"]["mrn_date"] = "";
	$fieldLabelsmo_master["English"]["product_code"] = "Product Code";
	$fieldToolTipsmo_master["English"]["product_code"] = "";
	$placeHoldersmo_master["English"]["product_code"] = "";
	$fieldLabelsmo_master["English"]["status"] = "Status";
	$fieldToolTipsmo_master["English"]["status"] = "";
	$placeHoldersmo_master["English"]["status"] = "";
	$fieldLabelsmo_master["English"]["tbid"] = "Tbid";
	$fieldToolTipsmo_master["English"]["tbid"] = "";
	$placeHoldersmo_master["English"]["tbid"] = "";
	$fieldLabelsmo_master["English"]["selling_price"] = "Selling Price";
	$fieldToolTipsmo_master["English"]["selling_price"] = "";
	$placeHoldersmo_master["English"]["selling_price"] = "";
	$fieldLabelsmo_master["English"]["quantity"] = "Quantity";
	$fieldToolTipsmo_master["English"]["quantity"] = "";
	$placeHoldersmo_master["English"]["quantity"] = "";
	$pageTitlesmo_master["English"]["add"] = "Manufacturing order, Add new";
	$pageTitlesmo_master["English"]["edit"] = "Manufacturing Order, Update - {%id} ";
	if (count($fieldToolTipsmo_master["English"]))
		$tdatamo_master[".isUseToolTips"] = true;
}


	$tdatamo_master[".NCSearch"] = true;



$tdatamo_master[".shortTableName"] = "mo_master";
$tdatamo_master[".nSecOptions"] = 0;

$tdatamo_master[".mainTableOwnerID"] = "";
$tdatamo_master[".entityType"] = 0;
$tdatamo_master[".connId"] = "new_lakmini_at_localhost";


$tdatamo_master[".strOriginalTableName"] = "mo_master";

	



$tdatamo_master[".showAddInPopup"] = false;

$tdatamo_master[".showEditInPopup"] = false;

$tdatamo_master[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatamo_master[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdatamo_master[".listAjax"] = true;
//	temporary
$tdatamo_master[".listAjax"] = false;

	$tdatamo_master[".audit"] = false;

	$tdatamo_master[".locking"] = false;


$pages = $tdatamo_master[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatamo_master[".edit"] = true;
	$tdatamo_master[".afterEditAction"] = 1;
	$tdatamo_master[".closePopupAfterEdit"] = 1;
	$tdatamo_master[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatamo_master[".add"] = true;
$tdatamo_master[".afterAddAction"] = 1;
$tdatamo_master[".closePopupAfterAdd"] = 1;
$tdatamo_master[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatamo_master[".list"] = true;
}



$tdatamo_master[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatamo_master[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatamo_master[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatamo_master[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatamo_master[".printFriendly"] = true;
}



$tdatamo_master[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatamo_master[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatamo_master[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatamo_master[".isUseAjaxSuggest"] = true;

$tdatamo_master[".rowHighlite"] = true;



			

$tdatamo_master[".ajaxCodeSnippetAdded"] = false;

$tdatamo_master[".buttonsAdded"] = false;

$tdatamo_master[".addPageEvents"] = false;

// use timepicker for search panel
$tdatamo_master[".isUseTimeForSearch"] = false;


$tdatamo_master[".badgeColor"] = "4682B4";


$tdatamo_master[".allSearchFields"] = array();
$tdatamo_master[".filterFields"] = array();
$tdatamo_master[".requiredSearchFields"] = array();

$tdatamo_master[".googleLikeFields"] = array();
$tdatamo_master[".googleLikeFields"][] = "id";
$tdatamo_master[".googleLikeFields"][] = "mrn_date";
$tdatamo_master[".googleLikeFields"][] = "product_code";
$tdatamo_master[".googleLikeFields"][] = "status";
$tdatamo_master[".googleLikeFields"][] = "tbid";
$tdatamo_master[".googleLikeFields"][] = "selling_price";
$tdatamo_master[".googleLikeFields"][] = "quantity";



$tdatamo_master[".tableType"] = "list";

$tdatamo_master[".printerPageOrientation"] = 0;
$tdatamo_master[".nPrinterPageScale"] = 100;

$tdatamo_master[".nPrinterSplitRecords"] = 40;

$tdatamo_master[".geocodingEnabled"] = false;










$tdatamo_master[".pageSize"] = 20;

$tdatamo_master[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatamo_master[".strOrderBy"] = $tstrOrderBy;

$tdatamo_master[".orderindexes"] = array();


$tdatamo_master[".sqlHead"] = "SELECT id,  	mrn_date,  	product_code,  	status,  	tbid,  	selling_price,  	quantity";
$tdatamo_master[".sqlFrom"] = "FROM mo_master";
$tdatamo_master[".sqlWhereExpr"] = "";
$tdatamo_master[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatamo_master[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatamo_master[".arrGroupsPerPage"] = $arrGPP;

$tdatamo_master[".highlightSearchResults"] = true;

$tableKeysmo_master = array();
$tableKeysmo_master[] = "id";
$tdatamo_master[".Keys"] = $tableKeysmo_master;


$tdatamo_master[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["id"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "id";
//	mrn_date
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "mrn_date";
	$fdata["GoodName"] = "mrn_date";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","mrn_date");
	$fdata["FieldType"] = 135;

	
	
	
			

		$fdata["strField"] = "mrn_date";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "mrn_date";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Short Date");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

	
		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 5;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["mrn_date"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "mrn_date";
//	product_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "product_code";
	$fdata["GoodName"] = "product_code";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","product_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "product_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "product_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "products";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"selling_price", 'lookupF'=>"last_selling_price");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "product_code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "product_name";

	

	
	$edata["LookupOrderBy"] = "product_name";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["product_code"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "product_code";
//	status
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "status";
	$fdata["GoodName"] = "status";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","status");
	$fdata["FieldType"] = 129;

	
	
	
			

		$fdata["strField"] = "status";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "status";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
		$edata["LookupType"] = 0;
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 4;

		$edata["HorizontalLookup"] = true;

	
		$edata["LookupValues"] = array();
	$edata["LookupValues"][] = "Waiting";
	$edata["LookupValues"][] = "Done";

	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["status"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "status";
//	tbid
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "tbid";
	$fdata["GoodName"] = "tbid";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","tbid");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "tbid";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tbid";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["tbid"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "tbid";
//	selling_price
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "selling_price";
	$fdata["GoodName"] = "selling_price";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","selling_price");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "selling_price";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "selling_price";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["selling_price"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "selling_price";
//	quantity
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "quantity";
	$fdata["GoodName"] = "quantity";
	$fdata["ownerTable"] = "mo_master";
	$fdata["Label"] = GetFieldLabel("mo_master","quantity");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "quantity";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "quantity";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatamo_master["quantity"] = $fdata;
		$tdatamo_master[".searchableFields"][] = "quantity";


$tables_data["mo_master"]=&$tdatamo_master;
$field_labels["mo_master"] = &$fieldLabelsmo_master;
$fieldToolTips["mo_master"] = &$fieldToolTipsmo_master;
$placeHolders["mo_master"] = &$placeHoldersmo_master;
$page_titles["mo_master"] = &$pageTitlesmo_master;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["mo_master"] = array();
//	mo_details
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="mo_details";
		$detailsParam["dOriginalTable"] = "mo_details";



		
		$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "mo_details";
	$detailsParam["dCaptionTable"] = GetTableCaption("mo_details");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["mo_master"][$dIndex] = $detailsParam;

	
		$detailsTablesData["mo_master"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["mo_master"][$dIndex]["masterKeys"][]="id";

				$detailsTablesData["mo_master"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["mo_master"][$dIndex]["detailKeys"][]="mid";

// tables which are master tables for current table (detail)
$masterTablesData["mo_master"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_mo_master()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	mrn_date,  	product_code,  	status,  	tbid,  	selling_price,  	quantity";
$proto0["m_strFrom"] = "FROM mo_master";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "mo_master";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "mrn_date",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto8["m_sql"] = "mrn_date";
$proto8["m_srcTableName"] = "mo_master";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "product_code",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto10["m_sql"] = "product_code";
$proto10["m_srcTableName"] = "mo_master";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "status",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto12["m_sql"] = "status";
$proto12["m_srcTableName"] = "mo_master";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "tbid",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto14["m_sql"] = "tbid";
$proto14["m_srcTableName"] = "mo_master";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "selling_price",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto16["m_sql"] = "selling_price";
$proto16["m_srcTableName"] = "mo_master";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "quantity",
	"m_strTable" => "mo_master",
	"m_srcTableName" => "mo_master"
));

$proto18["m_sql"] = "quantity";
$proto18["m_srcTableName"] = "mo_master";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "mo_master";
$proto21["m_srcTableName"] = "mo_master";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "mrn_date";
$proto21["m_columns"][] = "product_code";
$proto21["m_columns"][] = "status";
$proto21["m_columns"][] = "tbid";
$proto21["m_columns"][] = "selling_price";
$proto21["m_columns"][] = "quantity";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "mo_master";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "mo_master";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="mo_master";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_mo_master = createSqlQuery_mo_master();


	
		;

							

$tdatamo_master[".sqlquery"] = $queryData_mo_master;



$tableEvents["mo_master"] = new eventsBase;
$tdatamo_master[".hasEvents"] = false;

?>